
From: Alexey Dobriyan <adobriyan@gmail.com>

Noticed by Coverity checker.

(akpm: I stole this from Greg's tree and used the (IMO) tidier sizeof(*p)
construct).

Signed-off-by: Alexey Dobriyan <adobriyan@gmail.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/usb/net/zd1201.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/usb/net/zd1201.c~gregkh-usb-usb-zd1201-kmalloc-size-fix drivers/usb/net/zd1201.c
--- 25/drivers/usb/net/zd1201.c~gregkh-usb-usb-zd1201-kmalloc-size-fix	Mon Aug 22 13:06:47 2005
+++ 25-akpm/drivers/usb/net/zd1201.c	Mon Aug 22 13:07:23 2005
@@ -346,8 +346,7 @@ static void zd1201_usbrx(struct urb *urb
 			if (datalen<14)
 				goto resubmit;
 			if ((seq & IEEE802_11_SCTL_FRAG) == 0) {
-				frag = kmalloc(sizeof(struct zd1201_frag*),
-				    GFP_ATOMIC);
+				frag = kmalloc(sizeof(*frag), GFP_ATOMIC);
 				if (!frag)
 					goto resubmit;
 				skb = dev_alloc_skb(IEEE802_11_DATA_LEN +14+2);
_
